{
GMConstants

  ES: unidad con constantes
  EN: unit with constants

=========================================================================
History:

ver 0.1:
  ES: primera versin
  EN: first version
=========================================================================
IMPORTANTE PROGRAMADORES: Por favor, si tienes comentarios, mejoras,
  ampliaciones, errores y/o cualquier otro tipo de sugerencia, envame un correo a:
  gmlib@cadetill.com

IMPORTANT PROGRAMMERS: please, if you have comments, improvements, enlargements,
  errors and/or any another type of suggestion, please send me a mail to:
  gmlib@cadetill.com
=========================================================================

Copyright () 2011, by Xavier Martinez (cadetill)

@author Xavier Martinez (cadetill)
@web  http://www.cadetill.com
}
unit GMConstants;

interface

const
  { ****************************************************************************
  ******  Version
  **************************************************************************** }
  GMLIB_Version = '[0.1.3 Pre-Alpha]';
  GMLIB_VerText = '0.1.3 Pre-Alpha';

  { ****************************************************************************
  ******  Editors
  **************************************************************************** }
  AboutGMLib = 'About GMLib';
  MEditor = 'Marker Editor';

  { ****************************************************************************
  ******  General constants
  **************************************************************************** }
  RES_MAPA_CODE = 'RES_MAPCODE';

  { ****************************************************************************
  ******  Form Names
  **************************************************************************** }
  MapForm = 'mapdata';
  LatLngBoundsForm = 'latlngboundsdata';
  EventsForm = 'events';
  ErrorForm = 'errordata';
  PolylineForm = 'polylinedata';

  { ****************************************************************************
  ******  Form Fields Names
  **************************************************************************** }
  // Properties LatLngBounds Form
  LatLngBoundsFormSWLat = 'swLat';
  LatLngBoundsFormSWLng = 'swLng';
  LatLngBoundsFormNELat = 'neLat';
  LatLngBoundsFormNELng = 'neLng';
  LatLngBoundsFormContains = 'contains';

  // Properties Map Form
  MapFormMapIsNull = 'mapisnull';
  MapFormLat = 'lat';
  MapFormLng = 'lng';
  MapFormMapTypeId = 'maptype';
  MapFormZoom = 'zoom';

  // Properties Polyline Form
  PolylineFormPath = 'path';

  // Properties Error Form
  ErrorFormErrorCode = 'errorCode';

  // Events Form
      // General
  EventsFormEventFired = 'eventfired';
      // Map
  EventsFormBoundsChanged = 'bounds_changed';
  EventsFormCenterChanged = 'center_changed';
  EventsFormClick = 'click';
  EventsFormDblClick = 'dblclick';
  EventsFormDrag = 'drag';
  EventsFormDragEnd = 'dragEnd';
  EventsFormDragStart = 'dragStart';
  EventsFormMapTypeIdChanged = 'mapTypeId_changed';
  EventsFormMouseMove = 'mouseMove';
  EventsFormMouseOut = 'mouseOut';
  EventsFormMouseOver = 'mouseOver';
  EventsFormRightClick = 'rightClick';
  EventsFormTilesLoaded = 'tilesLoaded';
  EventsFormZoomChanged = 'zoomChanged';
  EventsFormSWLat = 'swLat';
  EventsFormSWLng = 'swLng';
  EventsFormNELat = 'neLat';
  EventsFormNELng = 'neLng';
  EventsFormLat = 'lat';
  EventsFormLng = 'lng';
  EventsFormMapTypeId = 'mapTypeId';
  EventsFormZoom = 'zoom';
        // General
  EventsFormLinkCompId = 'linkCompId';
  EventsFormLinkCompZIndex = 'linkCompZIndex';
        // Marker
  EventsFormMarkerClick = 'markerClick';
  EventsFormMarkerDblClick = 'markerDblClick';
  EventsFormMarkerDrag = 'markerDrag';
  EventsFormMarkerDragEnd = 'markerDragEnd';
  EventsFormMarkerDragStart = 'markerDragStart';
  EventsFormMarkerMouseDown = 'markerMouseDown';
  EventsFormMarkerMouseOut = 'markerMouseOut';
  EventsFormMarkerMouseOver = 'markerMouseOver';
  EventsFormMarkerMouseUp = 'markerMouseUp';
  EventsFormMarkerRightClick = 'markerRightClick';
  EventsFormMarkerLat = 'markerLat';
  EventsFormMarkerLng = 'markerLng';
      // InfoWindow
  EventsFormInfoWinId = 'infoWinId';
  EventsFormInfoWinZIndex = 'infoWinZIndex';
  EventsFormInfoWinCloseClick = 'infoWinCloseClick';
      // polyline
  EventsFormPolylineClick = 'polylineClick';
  EventsFormPolylineDblClick = 'polylineDblClick';
  EventsFormPolylineMouseDown = 'polylineMouseDown';
  EventsFormPolylineMouseMove = 'polylineMouseMove';
  EventsFormPolylineMouseOut = 'polylineMouseOut';
  EventsFormPolylineMouseOver = 'polylineMouseOver';
  EventsFormPolylineMouseUp = 'polylineMouseUp';
  EventsFormPolylineRightClick = 'polylineRightClick';
  EventsFormPolylineLat = 'polylineLat';
  EventsFormPolylineLng = 'polylineLng';
      // rectangle
  EventsFormRectangleBoundsChange = 'rectangleBoundsChange';
  EventsFormRectangleClick = 'rectangleClick';
  EventsFormRectangleDblClick = 'rectangleDblClick';
  EventsFormRectangleMouseDown = 'rectangleMouseDown';
  EventsFormRectangleMouseMove = 'rectangleMouseMove';
  EventsFormRectangleMouseOut = 'rectangleMouseOut';
  EventsFormRectangleMouseOver = 'rectangleMouseOver';
  EventsFormRectangleMouseUp = 'rectangleMouseUp';
  EventsFormRectangleRightClick = 'rectangleRightClick';
  EventsFormRectangleLat = 'rectangleLat';
  EventsFormRectangleLng = 'rectangleLng';
  EventsFormRectangleNELat = 'rectangleNELat';
  EventsFormRectangleNELng = 'rectangleNELng';
  EventsFormRectangleSWLat = 'rectangleSWLat';
  EventsFormRectangleSWLng = 'rectangleSWLng';

  EventsMarkerAnimChng = 'marker_animation_changed';
  EventsMarkerAnim = 'marker_animation';

type
  TLang = (Espanol, English);

  { ****************************************************************************
  https://developers.google.com/maps/documentation/javascript/reference?hl=en#MapTypeId
  **************************************************************************** }
  TMapTypeId = (mtHYBRID, mtROADMAP, mtSATELLITE, mtTERRAIN);
  { ****************************************************************************
  https://developers.google.com/maps/documentation/javascript/reference?hl=en#MapTypeControlStyle
  **************************************************************************** }
  TMapTypeControlStyle = (mtcDEFAULT, mtcDROPDOWN_MENU, mtcHORIZONTAL_BAR);
  { ****************************************************************************
  https://developers.google.com/maps/documentation/javascript/reference?hl=en#ScaleControlStyle
  **************************************************************************** }
  TScaleControlStyle = (scDEFAULT);
  { ****************************************************************************
  https://developers.google.com/maps/documentation/javascript/reference?hl=en#ZoomControlStyle
  **************************************************************************** }
  TZoomControlStyle = (zcDEFAULT, zcLARGE, zcSMALL);
  { ****************************************************************************
  https://developers.google.com/maps/documentation/javascript/reference?hl=en#ControlPosition
  **************************************************************************** }
  TControlPosition = (cpBOTTOM_CENTER, cpBOTTOM_LEFT, cpBOTTOM_RIGHT,
                      cpLEFT_BOTTOM, cpLEFT_CENTER, cpLEFT_TOP,
                      cpRIGHT_BOTTOM, cpRIGHT_CENTER, cpRIGHT_TOP,
                      cpTOP_CENTER, cpTOP_LEFT, cpTOP_RIGHT);
  TMapTypeStyleElementType = (mtseALL, mtseGEOMETRY, mtseLABELS);
  TMapTypeStyleFeatureType = (mtsfADMINISTRATIVE, mtsfADMINISTRATIVE_COUNTRY, mtsfADMINISTRATIVE_LANDPARCEL,
          mtsfADMINISTRATIVE_LOCALITY, mtsfADMINISTRATIVE_NEIGHBORHOOD, mtsfADMINISTRATIVE_PROVINCE,
          mtsfALL, mtsfLANDSCAPE, mtsfLANDSCAPE_MANMADE, mtsfLANDSCAPE_NATURAL, mtsfPOI, mtsfPOI_ATTRACTION,
          mtsfPOI_BUSINESS, mtsfPOI_GOVERNMENT, mtsfPOI_MEDICAL, mtsfPOI_PARK, mtsfPOI_PLACEOFWORSHIP,
          mtsfPOI_SCHOOL, mtsfPOI_SPORTSCOMPLEX, mtsfROAD, mtsfROAD_ARTERIAL, mtsfROAD_HIGHWAY,
          mtsfROAD_LOCAL, mtsfTRANSIT, mtsfTRANSIT_LINE, mtsfTRANSIT_STATION, mtsfTRANSIT_STATIONAIRPORT,
          mtsfTRANSIT_STATIONBUS, mtsfTRANSIT_STATIONRAIL, mtsfWATER);
  { ****************************************************************************
  https://developers.google.com/maps/documentation/javascript/reference?hl=en#Animation
  **************************************************************************** }
  TAnimation = (anBOUNCE, anDROP);

implementation

end.
